## Function template parse_filter

boost::log::parse_filter

## Synopsis

    // In header: <boost/log/utility/setup/filter_parser.hpp>

    template<typename CharT, typename TraitsT, typename AllocatorT>
      filter parse_filter(std::basic_string< CharT, TraitsT, AllocatorT > const & str);

## Description

The function parses a filter from the string

Throws: An `std::exception`-based exception, if a filter cannot be recognized in the character sequence.

Parameters:

`str` | A string that contains filter description

Returns: | A function object that can be used as a filter.